VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig:

## Avaliable Methods
public method | get_action ()
public method | set_shutdown_time ()
public method | set_reason ()
public method | new ()
public method | get_reason ()
public method | set_action ()
public method | get_shutdown_time ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig` class Structure that defines shutdown configuration returned by Shutdown.get operation

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig::get_action | ( |  | ) |

Gets the value of 'action' property.

Return values

  action | - The current value of the field. Contains a string that describes the pending shutdown operation. The string values for pending operations can be 'poweroff', 'reboot' or '' String#

Code:
click to view
# Number of lines of code in get_action: 4
sub get_action {
my ($self, %args) = @_;
return $self->{'action'};
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig::get_reason | ( |  | ) |

Gets the value of 'reason' property.

Return values

  reason | - The current value of the field. This will contain string explaining the reason behind the shutdown action String#

Code:
click to view
# Number of lines of code in get_reason: 4
sub get_reason {
my ($self, %args) = @_;
return $self->{'reason'};
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig::get_shutdown_time | ( |  | ) |

Gets the value of 'shutdown_time' property.

Return values

  shutdown_time | - The current value of the field. (UTC) time of shutdown represented in "YYYY-MM-DD HH:MM:SS" format. String#

Code:
click to view
# Number of lines of code in get_shutdown_time: 4
sub get_shutdown_time {
my ($self, %args) = @_;
return $self->{'shutdown_time'};
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{shutdown_time} = $args{'shutdown_time'};
$self->{action} = $args{'action'};
$self->{reason} = $args{'reason'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.shutdown.shutdown_get_config');
$self->set_binding_field('key' => 'shutdown_time', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'action', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'reason', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig::set_action | ( |  | ) |

Sets the given value for 'action' property.

Parameters

  action | - New value for the field. Contains a string that describes the pending shutdown operation. The string values for pending operations can be 'poweroff', 'reboot' or ''

Code:
click to view
# Number of lines of code in set_action: 5
sub set_action {
my ($self, %args) = @_;
$self->{'action'} = $args{'action'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig::set_reason | ( |  | ) |

Sets the given value for 'reason' property.

Parameters

  reason | - New value for the field. This will contain string explaining the reason behind the shutdown action

Code:
click to view
# Number of lines of code in set_reason: 5
sub set_reason {
my ($self, %args) = @_;
$self->{'reason'} = $args{'reason'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig::set_shutdown_time | ( |  | ) |

Sets the given value for 'shutdown_time' property.

Parameters

  shutdown_time | - New value for the field. (UTC) time of shutdown represented in "YYYY-MM-DD HH:MM:SS" format.

Code:
click to view
# Number of lines of code in set_shutdown_time: 5
sub set_shutdown_time {
my ($self, %args) = @_;
$self->{'shutdown_time'} = $args{'shutdown_time'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Shutdown.pm